Subject: Re: [5.6.0-rc2-next-20200218/powerpc] Boot failure on POWER9

From: Christopher Lameter <[email-masked]>
Date: Sat, 22 Feb 2020 03:38:11 +0000 (UTC)

On Tue, 18 Feb 2020, Michal Hocko wrote:

> Anyway, I do not think it is expected that kmalloc_node just blows up
> on those nodes. The page allocator simply falls back to the closest
> node. Something for kmalloc maintainers I believe.

That is the case for an unconstrained allocation. kmalloc_node means that
you want memory from that node. And If there is no such node then it is an
error.

> A short summary. kmalloc_node blows up when trying to allocate from a
> memory less node.

Use kmalloc instead? And set a memory allocation policy?